Google Cloud Testing - Task #14056

CMS: test gcsfuse file system to read from google storage
10/04/2016 12:02 PM - Steven Timm

Status: Closed Start date: 10/13/2016
Priority: Normal Due date: 10/13/2016
Assignee: Steven Timm % Done: 100%
Category: Estimated time: 3.00 hours
Target version: Spent time: 0.00 hour
Description

Have to understand if our slf6 kernel supports it, and how the authentication is done.

History

#1 - 10/05/2016 01:54 PM - Steven Timm

- Assignee set to Steven Timm

#2 - 10/14/2016 09:08 AM - Burt Holzman
- File google.json added

This was successful (with a CMS job and pile-up, to boot).

| had to create a JSON file (attached) that attached the service account credentials to the images we created.

Krista added

<submit_attr name="gce_json_file" value="/etc/gwms-factory/google.json">

into the factory.

Once the image booted, | logged in (as root) and did:

leeeemkdir /gcs; gcsfuse —o allow_other —-implicit-dirs burt-test-1 /gcsll€€e€€

This mounted up my burt-test-1 bucket at /gcs and allowed any user to read.

Tony also had to add the serviceAccountActor role to the service account in the IAM console.

#3 - 10/14/2016 09:10 AM - Burt Holzman

- Status changed from New to Resolved

#4 - 10/26/2016 10:04 PM - Steven Timm

- Subject changed from test gcsfuse file system to read from google storage to CMS: test gcsfuse file system to read from google storage

- Due date set to 10/13/2016

- Start date changed from 10/04/2016 to 10/13/2016
- % Done changed from 0 to 100

- Estimated time set to 3.00 h

#5 - 10/28/2016 04:33 PM - Steven Timm

- Status changed from Resolved to Closed
